/***************************************************************************
 *   Copyright (C) 2008 by Paulo Moura Guedes                              *
 *   moura@kdewebdev.org                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef SCRIPTGUICLIENT_H
#define SCRIPTGUICLIENT_H

#include <kparts/plugin.h>

namespace Kross {
    class ActionCollection;
}

class QWidget;


namespace KParts
{

class ScriptingPlugin : public KParts::Plugin
{
    Q_OBJECT
public:
    ScriptingPlugin(QObject* parent = 0);
    ~ScriptingPlugin();

    virtual void setDOMDocument (const QDomDocument &document, bool merge = false);

private:
    QDomDocument buildDomDocument(const QDomDocument& document);
    void buildDomDocument(QDomDocument& document, Kross::ActionCollection* collection);

private:
    class ScriptingPluginPrivate;
    ScriptingPluginPrivate* const d;
};

}

#endif
